a=zeros(30,1); e=zeros(30,1); % inizializziamo i vettori a ed e
% essi conterranno i primi 30 elementi delle successioni a_n ed e_n
a(1)=2; e(1)=abs(pi-a(1))/pi; % primo elemento della successione
for n=2:30    % ciclo per n generico
  a(n)=2^(n-0.5)*sqrt(1-sqrt(1-4^(1-n)*a(n-1)^2));
  e(n)=abs(pi-a(n))/pi;
end
% rappresentiamo graficamente la successione a_n 
figure(1); clf
N=1:30; plot(N,a,'bo'); hold on
plot([1,30],[pi,pi],'k--') % disegniamo la retta y=pi
xlabel('n'); ylabel('a_n'); grid on
% rappresentiamo graficamente la successione e_n
figure(2); clf
N=1:30; semilogy(N,e,'bo')  % scala logaritmica in y, lineare in x
xlabel('n'); ylabel('e_n'); grid on
