% differenze1: approssimazione di f'(t) con differenze finite
f=@(t)sin(t); % definisco la funzione f(t)
tc=pi/6;      % punto in cui calcolo le approssimazioni
de=cos(pi/6); % valore esatto della derivata in tc=pi/6
% H= vettore dei parametri di discretizzazione
H=[0.1,0.05,0.01,0.005,0.001,0.0005,0.0001]; 
for h=H
    df=(f(tc+h)-f(tc))/h;  % differenza finita
    fprintf('f''(tc)=%f, h=%f, df=%f \n',de,h,df)  % stampa
end
