% differenze3: approssimazione di f'(t) con differenze finite - errori 
% disegno
f=@(t)sin(t); tc=pi/6; de=cos(pi/6);  
% H= vettore dei parametri di discretizzazione
H=[0.1,0.05,0.01,0.005,0.001,0.0005,0.0001]; 
Err=[ ]; % inizializziamo un vettore vuoto;
for h=H
    df=(f(tc+h)-f(tc))/h; % differenza finita
    err=abs(de-df); % errore
    Err=[Err, err]; % vettore degli errori
end
figure(1); clf
loglog(H,Err,'bo--',H,H,'k-'); grid on % disegniamo in scala logaritmica
xlabel('h','Fontsize',20); ylabel('Errori','Fontsize',20)
le=legend('|f''(t_c)-df|','h'); % definiamo la legenda
set(le,'Fontsize',20,'Location','Southeast');  % posizione della legenda
set(gca,'Fontsize',20) % font per tutto il grafico
